kopano-storeadm(8)

Name
kopano-storeadm — store management utility

Synopsis
kopano-storeadm {-A guid|-C|-D|-M|-O|-P|-R guid|-V|-Y} [-c file] [-h uri] [-k company] [-n name] [-p] [-t {user|archive|group|company}] [-v]

Description

This tool is used to manage message stores on the Kopano server. Specifically, it allows one to create, delete, attach, detach such stores. The storage server must be running for kopano-storeadm to work.

Options

-A guid
    Does one of two things. With -n, an orphaned store is attached (hooked) to the account specified with -n. If the target user already has a store attached, that one will be detached first. Alternatively, when -p is used, an orphaned store is copied. See the -p option for details.

-C  Create a new store and attach it to the user account specified with -n. That account must not have an associated store yet.

-D  Detach (unhook) the store from the user account specified with -n. Note that the stores of the SYSTEM account cannot be detached.

-M  Lists all mailboxes (stores) the server knows about.

-O  Shows a list of stores that are not hooked to any user. The GUIDs shown in the output can be passed to -A or -R.

-P  Create a public store. Only one public store can be created. In a multi-tenant environment, one public store can be created per company, to be specified with the -k option.

-R guid
    Remove an orphaned store. It actually only marks it as deleted in the database and the softdelete mechanism will remove it later on.

-V  Display the program version.

-Y  Within the mailbox of the user specified with -n, this will change the names of standard folders (Inbox, Sent, etc.) to be in the new language specified with -l.

-c config-file
    Location of a config file to read.

Default: /etc/kopano/admin.cfg

-h host
    URI for a specific server to connect to and execute the action on.

Default: default:

-k company-name
    This sets the company name for the -P action. This option is only available for multi-tenancy Kopano.

-l locale
    When creating a new store with -C or -P, the standard folders like Inbox, Drafts, Sent Items, etc. will be translated into the chosen language. A locale name is typically of the form language[_territory], where language is an ISO-639 language code, and territory is an ISO-3166 country code, but inherently these are system-specific. On Linux systems, see locale(1) for details.

-n entity-name
    For -C, -D and -Y, specifies the user to work on. For -A, specifies the user name, group name or company name to operate on. The store type may need to be specified with -t if the implicit default "user" is not appropriate.

-p  For use with -A. Rather than attaching an orphaned store to a user account, copy the orphaned store's contents into "Public Store\Admin\Deleted User - username". The orphaned store is left unmodified.

-t {user|archive|group|company}
    Affects how the -n argument is interpreted and selects a store type. "user" treats -n as a user name and selects the private store. "archive" treats -n as a user name and selects the archive store. "group" treats -n as a group name and selects the public store. "company" treats -n as a company name and selects the public store. If not specified, -t user is the default. This option only has an effect when used with -A, -C or -D.

-v  Raise the loglevel by one count. (The default level is 3; maximum is 6.)

Examples

•   Create new store for user: kopano-storeadm -Cn user1

•   Create new store with German names: kopano-storeadm -Cn user1 -l de_DE

•   Create global public store: kopano-storeadm -P

•   Create company public store: kopano-storeadm -Pk companyname

•   Attach orphaned store to user: kopano-storeadm -A 24680B -n user2

•   Copy orphaned store to public: kopano-storeadm -A 24680B -p

•   Detach private store from user: kopano-storeadm -Dn user2

•   Detach global public store (requires server to not run in tenant mode): kopano-storeadm -Dn Everyone -t group

•   Detach public store from company: kopano-storeadm -Dn companyname -t company

•   Remove store: kopano-storeadm -R 24680B

•   Retranslate folder names into French: kopano-storeadm -Yn user1 -l fr_FR

Configuration file

Normally, no configuration file is used or required. If the file /etc/kopano/admin.cfg exists, it is used. See kopano-admin.cfg(5) for syntax and allowed options.

See also

kopano-admin.cfg(5)